Bug 855515 - JMicron JMB38X card reader works only if card is insert before power on computer
JMicron JMB38X card reader works only if card is insert before power on computer
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
17
x86_64 Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-08 09:02 EDT by trekker92
Modified: 2016-11-08 11:42 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 22:17:32 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description trekker92 2012-09-08 09:02:56 EDT
Description of problem:JMicron JMB38X don't works when insert Memory card (eg SD) is inserted when fedora is boot up. I need to restart computer with memory card inserted to get it into.


Version-Release number of selected component (if applicable): Jmicron 38x


How reproducible: with memory card inserted before power on : works
with memory card inserted after fedora boot up : don't works


Steps to Reproduce:
1.
2.
3.
  
Actual results:fedora don't recognize card reader when card is not inserted before power on


Expected results:with card inserted before power on I'll paste lspci hardware JMB38X line here.


Additional info:fedora 17, running on HP pavilion dv7 (2130sf). bios f19 (no up to date release since years..)
Comment 1 trekker92 2012-09-08 09:46:42 EDT
lspci : 
0a:00.0 FireWire (IEEE 1394): JMicron Technology Corp. IEEE 1394 Host Controller
0a:00.1 System peripheral: JMicron Technology Corp. SD/MMC Host Controller
0a:00.2 SD Host controller: JMicron Technology Corp. Standard SD Host Controller
0a:00.3 System peripheral: JMicron Technology Corp. MS Host Controller
0a:00.4 System peripheral: JMicron Technology Corp. xD Host Controller

i have installed the jmicron drivers for an ubuntu....;
Comment 2 ben 2013-05-23 18:24:08 EDT
Problem persists in Fedora 18 on a Dell XPS 15z. Exactly as described above. Trying previous fixes going all the way back to Fedora 10 and various Ubuntu flavors proves ineffective.

Kernel: 3.9.2-200.fc18.x86_64

This Fedora instance is current on updates. The Jmicron modules and such are inserted. Removing and re-inserting makes no difference.
Comment 3 mwp.junk 2013-06-17 15:19:29 EDT
My Dell XPS 17, L720x, running Fedora 18 with the latest updates on the 3.9.2 kernel has the JMicron multi-card reader and experiences the same issue.

This issue seems to have been around for a while and is also plaguing other major distributions like Ubuntu.
Comment 4 Fedora End Of Life 2013-07-03 19:31:27 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2013-07-31 22:17:39 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 6 Shailen Sobhee 2016-11-08 11:31:23 EST
This issues is still prevalent in the current latest Fedora 24

Note You need to log in before you can comment on or make changes to this bug.